Subject: Re: [Ietf-krb-wg] checksum size conflicts

From: <[email-masked]>
Date: Mon, 6 Apr 2009 17:33:39 +0900

Hi Ken,

Thanks for your reply.

It seems that we can modify existing assignments for IANA registry from 
<http://www.iana.org/protocols/apply/> .

Thanks again,
--
Hiroki ENDO

> -----Original Message-----
> From: Ken Raeburn [mailto:[email-masked]] 
> Sent: Tuesday, March 31, 2009 4:29 PM
> To: Endou, Hiroki ([email-masked])
> Cc: [email-masked]
> Subject: Re: [Ietf-krb-wg] checksum size conflicts
> 
> This message has sort of been ignored for a little while...
> 
> On Feb 15, 2009, at 20:56, <[email-masked]> wrote:
> > Regarding checksum size of hmac-sha1-96-aes256 and hmac-sha1-96- 
> > aes128, both RFCs says different checksum size. RFC3961 says 20 
> > octets, but
> > RFC3962
> > says 12 octets. The name implys 12 octets.
> 
> Yes, 12 octets is correct.
> 
> > IANA also says 20 octets, but refers to RFC3962 (12 octets).
> > <http://www.iana.org/assignments/kerberos-parameters/>
> 
> In retrospect, the checksum size should probably not even be 
> listed by IANA.
> 
> > To avoid misunderstanding and mis-implementation, we need 
> to correct 
> > IANA registry and errata should be published.
> > How do you think?
> 
> I agree.  I could write up a proposed errata submission for 
> the RFC.   
> I'm not sure what the right process is for updating what 
> fields are in an IANA registry; an additional RFC seems like 
> overkill.  Unless someone knows off the top of their head, I 
> can drop them a note and ask...
> 
> Ken
> 
_______________________________________________
ietf-krb-wg mailing list
[email-masked]
https://lists.anl.gov/mailman/listinfo/ietf-krb-wg